test_concepts::HaveOnlyCopy Struct Reference

## Public Member Functions

| HaveOnlyCopy (const HaveOnlyCopy &)=default
| HaveOnlyCopy (HaveOnlyCopy &&)=delete
HaveOnlyCopy & | operator= (const HaveOnlyCopy &)=default
HaveOnlyCopy & | operator= (HaveOnlyCopy &&)=delete

## Detailed Description

Definition at line 32 of file TConcepts.cpp.

## Constructor & Destructor Documentation

## HaveOnlyCopy() [1/2]

test_concepts::HaveOnlyCopy::HaveOnlyCopy | ( | const HaveOnlyCopy & |  | ) |

default

## HaveOnlyCopy() [2/2]

test_concepts::HaveOnlyCopy::HaveOnlyCopy | ( | HaveOnlyCopy && |  | ) |

delete

## Member Function Documentation

## operator=() [1/2]

HaveOnlyCopy& test_concepts::HaveOnlyCopy::operator= | ( | const HaveOnlyCopy & |  | ) |

default

## operator=() [2/2]

HaveOnlyCopy& test_concepts::HaveOnlyCopy::operator= | ( | HaveOnlyCopy && |  | ) |

delete

The documentation for this struct was generated from the following file:

- test/tests/TConcepts.cpp